Bug 961060 - SELinux is preventing /usr/libexec/postfix/smtp from 'getattr' accesses on the file /var/spool/postfix/pid/unix.smtp.
SELinux is preventing /usr/libexec/postfix/smtp from 'getattr' accesses on th...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3933030833ea68bd4c2c2ffbbe7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 12:52 EDT by Michael Scherer
Modified: 2013-10-24 14:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 14:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2013-05-08 12:52:00 EDT
Description of problem:
starting postfix
SELinux is preventing /usr/libexec/postfix/smtp from 'getattr' accesses on the file /var/spool/postfix/pid/unix.smtp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If vous pensez que smtp devrait être autorisé à accéder getattr sur unix.smtp file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep smtp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_smtp_t:s0
Target Context                system_u:object_r:postfix_var_run_t:s0
Target Objects                /var/spool/postfix/pid/unix.smtp [ file ]
Source                        smtp
Source Path                   /usr/libexec/postfix/smtp
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           postfix-2.10.0-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-42.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.0-301.fc19.x86_64 #1 SMP Mon
                              Apr 29 13:44:05 UTC 2013 x86_64 x86_64
Alert Count                   12
First Seen                    2013-05-07 00:04:17 CEST
Last Seen                     2013-05-08 18:48:16 CEST
Local ID                      d4db68de-0f96-4d97-88d3-09a5c119c67b

Raw Audit Messages
type=AVC msg=audit(1368031696.344:1330): avc:  denied  { getattr } for  pid=2858 comm="smtp" path="/var/spool/postfix/pid/unix.smtp" dev="dm-2" ino=2369655 scontext=system_u:system_r:postfix_smtp_t:s0 tcontext=system_u:object_r:postfix_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1368031696.344:1330): arch=x86_64 syscall=fstat success=yes exit=0 a0=8 a1=7ffff00dcaf0 a2=7ffff00dcaf0 a3=0 items=0 ppid=2635 pid=2858 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=smtp exe=/usr/libexec/postfix/smtp subj=system_u:system_r:postfix_smtp_t:s0 key=(null)

Hash: smtp,postfix_smtp_t,postfix_var_run_t,file,getattr

audit2allow

#============= postfix_smtp_t ==============
allow postfix_smtp_t postfix_var_run_t:file getattr;

audit2allow -R
require {
	type postfix_smtp_t;
	type postfix_var_run_t;
	class file getattr;
}

#============= postfix_smtp_t ==============
allow postfix_smtp_t postfix_var_run_t:file getattr;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.0-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 960906
Comment 1 Lukas Vrabec 2013-10-24 14:15:13 EDT
$ audit2allow -i avc 


#============= postfix_smtp_t ==============

#!!!! This avc is allowed in the current policy
allow postfix_smtp_t postfix_var_run_t:file getattr;

Note You need to log in before you can comment on or make changes to this bug.